<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/mesh.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/mesh.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_MESH__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_MESH__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/iutil_2strset_8h.html">iutil/strset.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMeshWrapper.html">iMeshWrapper</a>;
<a name="l00028"></a>00028 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>;
<a name="l00029"></a>00029 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>;
<a name="l00030"></a>00030 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a>;
<a name="l00031"></a>00031 
<a name="l00036"></a>00036 <span class="preprocessor">#define CEL_PCMESH_PROPERTY_MESH 1</span>
<a name="l00037"></a>00037 <span class="preprocessor"></span>
<a name="l00092"></a><a class="code" href="structiPcMesh.html">00092</a> <span class="keyword">struct </span><a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00093"></a>00093 {
<a name="l00094"></a>00094   SCF_INTERFACE (<a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>, 0, 1, 0);
<a name="l00095"></a>00095 
<a name="l00103"></a>00103   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a91fc60c23d84087bfccfe0f76f649189" title="Set the path to use.">SetPath</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* path) = 0;
<a name="l00104"></a>00104 
<a name="l00112"></a>00112   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcMesh.html#a2ab3432fdc392c0efc5b15a92a24c084" title="Set the mesh filename to use.">SetMesh</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* factname, <span class="keyword">const</span> <span class="keywordtype">char</span>* filename) = 0;
<a name="l00113"></a>00113 
<a name="l00123"></a>00123   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a2ab3432fdc392c0efc5b15a92a24c084" title="Set the mesh filename to use.">SetMesh</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMeshWrapper.html">iMeshWrapper</a>* mesh, <span class="keywordtype">bool</span> do_remove = <span class="keyword">false</span>) = 0;
<a name="l00124"></a>00124 
<a name="l00132"></a>00132   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a80337a27e39f25c7975d74d2f2f08189" title="Create an empty thing mesh (use instead of SetMesh()).">CreateEmptyThing</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* factname) = 0;
<a name="l00133"></a>00133 
<a name="l00140"></a>00140   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a000b6c012847f278c3cfe83ba0403265" title="Create an empty genmesh (use instead of SetMesh()).">CreateEmptyGenmesh</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* factname) = 0;
<a name="l00141"></a>00141 
<a name="l00149"></a>00149   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a94fb201424dcdb38989b3019875601c2" title="Create a nullmesh (use instead of SetMesh()).">CreateNullMesh</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* factname,
<a name="l00150"></a>00150         <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a>&amp; box) = 0;
<a name="l00151"></a>00151 
<a name="l00155"></a>00155   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMeshWrapper.html">iMeshWrapper</a>* <a class="code" href="structiPcMesh.html#aaf7a92f71dcc5c54f1fd0e294c17a7bd" title="Get the mesh.">GetMesh</a> () <span class="keyword">const</span> = 0;
<a name="l00156"></a>00156 
<a name="l00162"></a>00162   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a6e829a0c7fc5f2fa2c3f960793e31d7f" title="Convenience function to move the mesh to some sector and position and also update lighting...">MoveMesh</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* sector, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; pos) = 0;
<a name="l00163"></a>00163 
<a name="l00169"></a>00169   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a6e829a0c7fc5f2fa2c3f960793e31d7f" title="Convenience function to move the mesh to some sector and position and also update lighting...">MoveMesh</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* sector, <span class="keyword">const</span> <span class="keywordtype">char</span>* node) = 0;
<a name="l00170"></a>00170 
<a name="l00177"></a>00177   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a6e829a0c7fc5f2fa2c3f960793e31d7f" title="Convenience function to move the mesh to some sector and position and also update lighting...">MoveMesh</a> (<a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>* other_mesh, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; offset) = 0;
<a name="l00178"></a>00178 
<a name="l00184"></a>00184   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a1e85edbbe5f2d9b1918a2153afc54990" title="Convenience function to set an &#39;action&#39; for the mesh.">SetAction</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* actionName,
<a name="l00185"></a>00185         <span class="keywordtype">bool</span> reset = <span class="keyword">false</span>) = 0;
<a name="l00189"></a>00189   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcMesh.html#a6ce41a2869d0c29b735c2fad34ab251e" title="Return the current action name.">GetAction</a> () = 0;
<a name="l00190"></a>00190 
<a name="l00196"></a>00196   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a1dd7280f6eb19bfcfafb47e098b86182" title="Convenience function to set an &#39;action&#39; to be reversed for the mesh.">SetReverseAction</a> (<span class="keywordtype">bool</span> reverse = <span class="keyword">true</span>) = 0;
<a name="l00197"></a>00197 
<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a2ebf79681aa9fafa6e9fafdc1e8b42b2" title="Function to set an &#39;action&#39; for the mesh.">SetAnimation</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* actionName, <span class="keywordtype">bool</span> cycle,
<a name="l00204"></a>00204         <span class="keywordtype">float</span> weight = 1.0, <span class="keywordtype">float</span> fadein = 0.1, <span class="keywordtype">float</span> fadeout = 0.1,
<a name="l00205"></a>00205         <span class="keywordtype">bool</span> reset = <span class="keyword">false</span>) = 0;
<a name="l00206"></a>00206 
<a name="l00210"></a>00210   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a27433c8c059562f24f77b7f2dbba902b" title="Hide this mesh.">Hide</a> () = 0;
<a name="l00211"></a>00211 
<a name="l00215"></a>00215   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcMesh.html#a63106a14cd825a75e85ff00e2cd8e3a9" title="Show this mesh.">Show</a> () = 0;
<a name="l00216"></a>00216 
<a name="l00220"></a>00220   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcMesh.html#a9a5048289df31d088e40f0a1c4d40771" title="Return true if mesh is visible.">IsVisible</a> () <span class="keyword">const</span> = 0;
<a name="l00221"></a>00221 
<a name="l00228"></a>00228   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcMesh.html#a5c261a8a5cf3cf6d64ce81d5ba3c2a71" title="Attach mesh to a socket.">AttachSocketMesh</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* socket,
<a name="l00229"></a>00229         <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMeshWrapper.html">iMeshWrapper</a>* meshwrapper) = 0;
<a name="l00230"></a>00230 
<a name="l00235"></a>00235   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcMesh.html#a32a6f0872aa789f15c60c89daeeec4cb" title="Detach mesh from a socket.">DetachSocketMesh</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* socket) = 0;
<a name="l00236"></a>00236 };
<a name="l00237"></a>00237 
<a name="l00238"></a>00238 <span class="preprocessor">#endif // __CEL_PF_MESH__</span>
<a name="l00239"></a>00239 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
